<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <script src="https://unpkg.com/vue"></script>
    <title>Document</title>
</head>
<body>
    <div id="root">
        <!-- Sử dụng v-if -->
        <!-- sử dung hàm ram dom -->
        <div v-if=" Math.random()>0.5 ">
           bây giờ bạn nhìn thấy tôi
        </div>
        <div v-else>
           bây giờ bạn không thấy tôi
        </div>
        <br>
        <div v-if='isShow'>
            bây giờ bạn có thể nhìn thấy xe
        </div>
        <div v-else>
            bạn không thể nhìn thấy xe
        </div>
        <input type="button" @click="{change}" value="change">
        <button @click='change1'>change with method</button>

        <hr>
        <div v-if="a<b"> {{a}}</div>
        <div v-else-if="b>c">{{b}}</div>
        <div v-else-if="c>a">{{c}}</div>
        <div v-else>not a/b/c</div>
        <!-- Sử dụng v-show -->
        <div v-show="isShow"> Hello Viet Nam</div>

    </div>
    <script>
    new Vue({
        el:'#root',
        data:{
            isShow:false,
            a:10, 
            c:11,
            b:20
        },
        computed: { 
            change:function(){
            console.log(this.isShow)
            this.isShow= !this.isShow // chỉ thay đổi giá trị của biến 1 lần duy nhất vơi mỗi lần re-render
            }
        },
        methods: {
            // có thể thay đổi giá trị của biến nhiều lần 
            change1:function(){
            console.log("method")
            return this.isShow= !this.isShow
            }
        },
        watch: {
            isShow: function(){
                console.log('giá trị của biến isShow đã được thay đổi')
            }
        },
    })
    </script>
</body>
</html>